document.addEventListener('DOMContentLoaded', () => {
  // Smooth scroll for navigation links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });

  // Navbar scroll effect
  let navbar = document.querySelector('.main-nav');
  window.addEventListener('scroll', () => {
    if (window.scrollY > 50) {
      navbar.style.background = 'rgba(255, 255, 255, 0.95)';
      navbar.style.color = var(--text-color);
    } else {
      navbar.style.background = 'rgba(255, 255, 255, 0.1)';
    }
  });
});

function showDemo() {
  alert('Welcome to Test Lab! This is a demo interaction.');
}

function toggleDemo() {
  const output = document.querySelector('.demo-output p');
  output.textContent = 'Magic happened! 🎉';
  setTimeout(() => {
    output.textContent = 'Click the button to see magic happen!';
  }, 2000);
}